#pragma once
#include "messagebasic.h"
#include <QMutex>

class MESSAGEBASIC_EXPORT MessageLoader
{
private:
	QList<std::shared_ptr<WsMessage>> _message_types;
	QMutex _type_mutex;

public:
	MessageLoader();

	QList<QString> allType() const;
	std::shared_ptr<WsMessage> makeDefault(const QString &topic) const;
};

